PATCH
/
v2
/
workspaces
/
{org_id}
/
settings
Update workspace settings
curl --request PATCH \
  --url https://api-v2.watchcollect.com/v2/workspaces/{org_id}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "default_currency": "USD",
  "default_outlier_pct": 50,
  "default_classification_filter": "<string>"
}
'
{
  "status": "accepted",
  "event_ids": [
    "018f06e2-4f8d-7c01-8a0d-cc6fd78f7002"
  ],
  "request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string
required

Body

application/json
default_currency
string
Required string length: 3
Example:

"USD"

default_outlier_pct
integer
Required range: 0 <= x <= 100
default_classification_filter
string

Response

Settings update event appended.

status
enum<string>
required
Available options:
accepted,
duplicate_accepted,
rejected,
conflict,
noop
event_ids
string<uuid>[]
required
request_id
string
required
resource_id
string | null